package app;

import java.util.Timer;

//import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;

import utils.ApplicationTime;
import utils.FrameUpdate;

public class _1_GeoAnimation_CreateAnimation {
	
	private static JFrame frame;

	public static void main(String[] args) {
		
		//open new thread for time measurement
		ApplicationTime animThread = new ApplicationTime();
		animThread.start();

		CreateFrame(animThread);
		
		Timer timer = new Timer();
		timer.scheduleAtFixedRate(new FrameUpdate(frame), 100, _0_Constants.TPF);
	}
	
	//create a JFrame as my container for the simulation content
	private static void CreateFrame(ApplicationTime thread) {
		
		//Create a new frame
		frame = new JFrame("Mathematik und Simulation");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		//Add a JPanel as the new drawing surface
		JPanel panel = new _1_GeoAnimation_DrawingOperations(thread);
		frame.add(panel);
		frame.pack(); //adjusts size of the JFrame to fit the size of it's components
		frame.setVisible(true);
		
		// TODO Add other stuff
//		JButton button = new JButton("Click here!");
//		frame.add(button);
	}
	
}
