package app;

public class _0_Constants {
	public static int WINDOW_WIDTH = 800;
	public static int WINDOW_HEIGHT = 600;

	public static int FPS = 200;
	public static int TPF = 1000 / FPS;

	public static double TIMESCALE = 1;

	// Eigene Konstanten

	// Startpunkte
	public static double START_X = WINDOW_WIDTH / 2;
	public static double START_Y= WINDOW_HEIGHT / 2;
	
	// Skalierungsfaktor und Drehung der X-Achse
	public static double S1 = (1 / Math.sqrt(2) / 3);
	public static double ALPHA = Math.toRadians(135);
	
	// Radius
	public static int DIAMETER = 400;
	public static int RADIUS = DIAMETER / 2;
	public static int DIAMETER_KUGEL = 10;
	public static int RADIUS_KUGEL = DIAMETER_KUGEL / 2;
	
	// Axes
	public static double[][] NULLVECTOR_X = new double[][] { {RADIUS}, {0}, {0}, {1} };
	public static double[][] NULLVECTOR_Y = new double[][] { {0}, {RADIUS}, {0}, {1} };
	public static double[][] NULLVECTOR_Z = new double[][] { {0}, {0}, {RADIUS}, {1} };
	public static double[][] ZENTRUM = new double[][] { {0}, {0}, {0}, {1} };
	
	// Axes Optional
	public static double[][] NULLVECTOR_MINUS_X = new double[][] { {-RADIUS}, {0}, {0}, {1} };
	public static double[][] NULLVECTOR_MINUS_Y = new double[][] { {0}, {-RADIUS}, {0}, {1} };
	public static double[][] NULLVECTOR_MINUS_Z = new double[][] { {0}, {0}, {-RADIUS}, {1} };
	
	// Simulation
	public static double VELOCITY = 10;
	
}
