package app;

public class _0_Matrices {

	public static double[][] M_JavaNormalized = new double[][] {
		{ -(_0_Constants.S1) * Math.sin(_0_Constants.ALPHA), 1, 0, _0_Constants.START_X},
		{ -(_0_Constants.S1) * Math.cos(_0_Constants.ALPHA), 0, -1, _0_Constants.START_Y},
	};
	
	
	public static double[][] M_JavaNormalized_Umriss = new double[][] {
		{ -(_0_Constants.S1) * Math.sin(_0_Constants.ALPHA), 1, 0},
		{ (_0_Constants.S1) * Math.cos(_0_Constants.ALPHA), 0, -1},
	};
	
	public static double[][] DrehungX(double winkel) {
		return new double[][] { 
			{ 1, 0, 0}, 
			{ 0, Math.cos(winkel), -Math.sin(winkel) },
			{ 0, Math.sin(winkel), Math.cos(winkel) } };
	}
	public static double[][] DrehungY(double theta) {
		return new double[][] { 
			{ Math.cos(theta), 0, -Math.sin(theta) }, 
			{ 0, 1, 0 },
			{ Math.sin(theta), 0, Math.cos(theta) } 
			};
	}
	public static double[][] DrehungZ(double phi) {
		return new double[][] { 
			{ Math.cos(phi), -Math.sin(phi), 0 }, 
			{ Math.sin(phi), Math.cos(phi), 0 },
			{ 0, 0, 1 } 
			};
	}
	
	public static double[][] START = new double[][] {
		{_0_Constants.RADIUS * Math.cos( Math.toRadians(45) ) * Math.cos( Math.toRadians(230) )},
		{_0_Constants.RADIUS * Math.cos( Math.toRadians(45) ) * Math.sin( Math.toRadians(230) )},
		{_0_Constants.RADIUS * Math.sin( Math.toRadians(45) ) }
	};
	public static double[][] END = new double[][] {
		{_0_Constants.RADIUS * Math.cos( Math.toRadians(-35) ) * Math.cos( Math.toRadians(30) )},
		{_0_Constants.RADIUS * Math.cos( Math.toRadians(-35) ) * Math.sin( Math.toRadians(30) )},
		{_0_Constants.RADIUS * Math.sin( Math.toRadians(-35) ) }
	};
}
