package app;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.util.ArrayList;
import java.util.Arrays;

import javax.swing.JPanel;
//import javax.swing.colorchooser.*;

import com.sun.org.apache.xalan.internal.templates.Constants;

import utils.ApplicationTime;

import java.util.Collections;

@SuppressWarnings({ "serial", "unused" })
public class _1_GeoAnimation_DrawingOperations extends JPanel{
	// panel has a single time tracking thread associated with it
		private ApplicationTime t;
		private double time;

		public _1_GeoAnimation_DrawingOperations(ApplicationTime thread) {
			this.t = thread;
		}
		
		// set this panel's preferred size for auto-sizing the container JFrame
		public Dimension getPreferredSize() {
			return new Dimension(_0_Constants.WINDOW_WIDTH, _0_Constants.WINDOW_HEIGHT);
		}
		
		// Objekt-Attribute
		_2_Methods Meth = new _2_Methods();
//		double[][] drehMatrix = Meth.drehBewegung();
		ArrayList<Integer> WegX = new ArrayList<Integer>();
		ArrayList<Integer> WegY = new ArrayList<Integer>();
		double distance = Meth.startToEnd();
		double differencePhi = Meth.getPhi(_0_Matrices.END) - Meth.getPhi(_0_Matrices.START);
		double differenceTheta = Meth.getTheta(_0_Matrices.END) - Meth.getTheta(_0_Matrices.START);

		// DRAWING OPERATIONS IN HERE
		@Override protected void paintComponent(Graphics g) {
			
			super.paintComponent(g);
			time = t.GetTimeInSeconds(); 
			
			Graphics2D g2d;
			g2d = (Graphics2D) g;
			g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
			
			// Drawing Background
			g2d.setColor(Color.BLACK);
			g2d.fillRect(0, 0, _0_Constants.WINDOW_WIDTH, _0_Constants.WINDOW_HEIGHT);
			
			// Random Text
			g2d.setColor(Color.WHITE);
			g2d.setFont(new Font("Arial", Font.BOLD, 15)); 
			g2d.drawString("FÜRCHTET DIESEN TEXT MUAHAHAHAHA", 10, 30);
			for(int breitengrad = -90; breitengrad <= 90; breitengrad += 30) {
				double[][] text = new double[][] {
					{(_0_Constants.RADIUS + 40) * Math.cos( Math.toRadians(breitengrad) ) * Math.cos( Math.toRadians(270) ) },
					{(_0_Constants.RADIUS + 40) * Math.cos( Math.toRadians(breitengrad) ) * Math.sin( Math.toRadians(270) ) },
					{(_0_Constants.RADIUS + 40) * Math.sin( Math.toRadians(breitengrad) ) },
					{1} 
					};
				g2d.drawString(String.valueOf(breitengrad)+"°", Meth.getCoords(text, "x")-15, Meth.getCoords(text, "y"));
			}
			
			// Drawing Coordinate-System
			g2d.setColor(Color.RED);
			g2d.drawLine(Meth.getCoords(_0_Constants.ZENTRUM, "x"), Meth.getCoords(_0_Constants.ZENTRUM, "y"), Meth.getCoords(_0_Constants.NULLVECTOR_X, "x"), Meth.getCoords(_0_Constants.NULLVECTOR_X, "y") );
			g2d.drawLine(Meth.getCoords(_0_Constants.ZENTRUM, "x"), Meth.getCoords(_0_Constants.ZENTRUM, "y"), Meth.getCoords(_0_Constants.NULLVECTOR_MINUS_X, "x"), Meth.getCoords(_0_Constants.NULLVECTOR_MINUS_X, "y") );
			g2d.setColor(Color.GREEN);
			g2d.drawLine(Meth.getCoords(_0_Constants.ZENTRUM, "x"), Meth.getCoords(_0_Constants.ZENTRUM, "y"), Meth.getCoords(_0_Constants.NULLVECTOR_Y, "x"), Meth.getCoords(_0_Constants.NULLVECTOR_Y, "y") );
			g2d.drawLine(Meth.getCoords(_0_Constants.ZENTRUM, "x"), Meth.getCoords(_0_Constants.ZENTRUM, "y"), Meth.getCoords(_0_Constants.NULLVECTOR_MINUS_Y, "x"), Meth.getCoords(_0_Constants.NULLVECTOR_MINUS_Y, "y") );
			g2d.setColor(Color.BLUE);
			g2d.drawLine(Meth.getCoords(_0_Constants.ZENTRUM, "x"), Meth.getCoords(_0_Constants.ZENTRUM, "y"), Meth.getCoords(_0_Constants.NULLVECTOR_Z, "x"), Meth.getCoords(_0_Constants.NULLVECTOR_Z, "y") );
			g2d.drawLine(Meth.getCoords(_0_Constants.ZENTRUM, "x"), Meth.getCoords(_0_Constants.ZENTRUM, "y"), Meth.getCoords(_0_Constants.NULLVECTOR_MINUS_Z, "x"), Meth.getCoords(_0_Constants.NULLVECTOR_MINUS_Z, "y") );
			
			// Drawing The Globus
			double[][] erdkreis = new double[4][1];
			erdkreis[3][0] = 1;
			for(int winkelEins = 0; winkelEins < 360 ; winkelEins += 15) {
				for(double winkelZwei = 0; winkelZwei < 360 ; winkelZwei +=0.25) {
					// Längengrad
					erdkreis[0][0] = _0_Constants.RADIUS * Math.cos( Math.toRadians(winkelZwei) ) * Math.cos( Math.toRadians(winkelEins) );
					erdkreis[1][0] = _0_Constants.RADIUS * Math.cos( Math.toRadians(winkelZwei) ) * Math.sin( Math.toRadians(winkelEins) );
					erdkreis[2][0] = _0_Constants.RADIUS * Math.sin( Math.toRadians(winkelZwei) );
					if( Meth.istHinten(erdkreis) )
						g2d.setColor(Color.DARK_GRAY);
					else
						g2d.setColor(Color.WHITE);
					g2d.drawLine(Meth.getCoords(erdkreis, "x"), Meth.getCoords(erdkreis, "y"), Meth.getCoords(erdkreis, "x"), Meth.getCoords(erdkreis, "y"));
					// Breitengrad
					erdkreis[0][0] = _0_Constants.RADIUS * Math.cos( Math.toRadians(winkelEins) ) * Math.cos( Math.toRadians(winkelZwei) );
					erdkreis[1][0] = _0_Constants.RADIUS * Math.cos( Math.toRadians(winkelEins) ) * Math.sin( Math.toRadians(winkelZwei) );
					erdkreis[2][0] = _0_Constants.RADIUS * Math.sin( Math.toRadians(winkelEins) ) ;
					if( Meth.istHinten(erdkreis) )
						g2d.setColor(Color.DARK_GRAY);
					else
						g2d.setColor(Color.WHITE);

					g2d.drawLine(Meth.getCoords(erdkreis, "x"), Meth.getCoords(erdkreis, "y"), Meth.getCoords(erdkreis, "x"), Meth.getCoords(erdkreis, "y"));
				}
			}
			
			// Zeichnen der Umrissellipse
			g.setColor(Color.MAGENTA);
			for(double parameter = 0; parameter < 360 ; parameter+=0.25) {
//				double winkelTheta = Math.toRadians(180);
//				double winkelPhi = Math.toRadians(-220);
				double winkelTheta = Math.toRadians(90);
				double winkelPhi = Math.toRadians(0);
				double[][] kreis = Meth.umrissellipse(winkelPhi,winkelTheta,Math.toRadians(parameter));
				g2d.drawLine((int)(kreis[0][0]*_0_Constants.RADIUS+_0_Constants.START_X), (int)(kreis[1][0]*_0_Constants.RADIUS+_0_Constants.START_Y), (int)(kreis[0][0]*_0_Constants.RADIUS+_0_Constants.START_X), (int)(kreis[1][0]*_0_Constants.RADIUS+_0_Constants.START_Y));
			}
			
			// Start- & Endpunkt Zeichnen
			g2d.setColor(Color.YELLOW);
			g2d.setFont(new Font("Arial", Font.BOLD, 20)); 
			g2d.fillOval(Meth.getCoords(Meth.normVector(_0_Matrices.START), "x")-(_0_Constants.RADIUS_KUGEL), Meth.getCoords(Meth.normVector(_0_Matrices.START), "y")-(_0_Constants.RADIUS_KUGEL), _0_Constants.DIAMETER_KUGEL, _0_Constants.DIAMETER_KUGEL);
			g2d.drawString("START", Meth.getCoords(Meth.normVector(_0_Matrices.START), "x"),Meth.getCoords(Meth.normVector(_0_Matrices.START), "y")-15);
			g2d.fillOval(Meth.getCoords(Meth.normVector(_0_Matrices.END), "x")-(_0_Constants.RADIUS_KUGEL), Meth.getCoords(Meth.normVector(_0_Matrices.END), "y")-(_0_Constants.RADIUS_KUGEL), _0_Constants.DIAMETER_KUGEL, _0_Constants.DIAMETER_KUGEL);
			g2d.drawString("END", Meth.getCoords(Meth.normVector(_0_Matrices.END), "x"),Meth.getCoords(Meth.normVector(_0_Matrices.END), "y")-15);
			
			// TODO Wenn sich zwei Punkte gegenüberstehen, was dann? 
			// TODO Stopper verbessern
			// Wegpunkt & Streckenverlauf Zeichnen
			g2d.setColor(Color.CYAN);
			double[][] bewegung = Meth.drehBewegung(Math.toRadians(time));
			
			WegX.add(Meth.getCoords(Meth.normVector(bewegung), "x"));
			WegY.add(Meth.getCoords(Meth.normVector(bewegung), "y"));
			for(int i = 0; i < WegX.size(); i++)
				g2d.drawLine(WegX.get(i), WegY.get(i), WegX.get(i), WegY.get(i));	
			
			g2d.setColor(Color.CYAN);
			double differencePhi = Meth.getPhi(_0_Matrices.END) - Meth.getPhi(bewegung);
			if (differencePhi < 0)
				differencePhi *= (-1);
			System.out.println("Phi: " + differencePhi);
			double differenceTheta = Meth.getTheta(_0_Matrices.END) - Meth.getTheta(bewegung);
			if (differenceTheta < 0)
				differenceTheta *= (-1);
			System.out.println("Theta: " + differenceTheta);
			if(differencePhi >= 0.5 && differenceTheta >= 0.5)
				g2d.setColor(Color.RED);
			else 
				g2d.setColor(Color.CYAN);
			g2d.fillOval(Meth.getCoords(Meth.normVector(bewegung), "x")-(_0_Constants.RADIUS_KUGEL), Meth.getCoords(Meth.normVector(bewegung), "y")-(_0_Constants.RADIUS_KUGEL), _0_Constants.DIAMETER_KUGEL, _0_Constants.DIAMETER_KUGEL);
			
			// TODO Reihenfolge von Globus und Bewegung fixen
			// TODO Reale Orte an wählbare Koordinaten knüpfen

			
	   	}
		
}